## mpg123 1.25.0

=== debian/changelog ===
mpg123 (1.25.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
    - Fix crashes in Remote mode if FORMAT command issued. (Closes: #862753)
  * debian/libmpg123-0.symbols.common.in: Add new symbol.
  * debian/control: Remove unnecessary B-D on python-minimal. (Closes:
    #856565)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 11:48:56 +0200

mpg123 (1.24.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/{rules,compat,control}: Bump debhelper compat to 10.
  * debian/rules: Simplify flags handling.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 25 Apr 2017 21:46:03 +0200
