## mpg123 1.25.3

=== debian/changelog ===
mpg123 (1.25.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix buffer over-read via crafted audio files. (CVE-2017-11126)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Jul 2017 16:03:48 +0200

mpg123 (1.25.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix heap-based buffer over-read (CVE-2017-10683) (Closes: #866860)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Jul 2017 21:13:06 +0200
