=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mpg123.org/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/mpg123.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpg123.git
