## mpg123 1.25.4

=== debian/changelog ===
mpg123 (1.25.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix buffer over-read. (CVE-2017-9545) (Closes: #870799)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Aug 2017 14:33:07 +0200
