## mpg123 1.25.6

=== debian/changelog ===
mpg123 (1.25.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Fix Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Aug 2017 11:53:27 +0200
