## mpg123 1.25.10

=== debian/changelog ===
mpg123 (1.25.10-1) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * debian/control: Drop obsolete Pre-Depends.
  * New upstream release.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Mar 2018 11:02:34 +0100

mpg123 (1.25.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Dec 2017 21:31:49 +0100

mpg123 (1.25.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Do not play with cursor and inverse video for progress bar when
      TERM=dumb. (Closes: #872362)
    - Fix parsing of host port for numerical IPv6 addresses. (Closes: #872361)
  * debian/control: Bump Standards-Version.
  * debian/mpg123.manpages: Removed, not needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Sep 2017 16:12:35 +0200
