=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  libasound2-dev [linux-any],
  libaudio-dev,
  libjack-dev,
@@ -15,10 +15,10 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://mpg123.org/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/mpg123.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpg123.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
 
 Package: mpg123
 Architecture: any
@@ -52,8 +52,6 @@
 Multi-Arch: same
 Architecture: any
 Section: libs
-Pre-Depends:
- ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
