## mpg123 1.25.12

=== debian/changelog ===
mpg123 (1.25.12-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:50 +0000

mpg123 (1.25.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 27 Aug 2019 22:21:00 +0200

mpg123 (1.25.11-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release. (Closes: #934613)
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
  * debian/libmpg123-0.lintian-overrides: Use architecture-specific overrides.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Aug 2019 21:24:10 +0200

mpg123 (1.25.10-2) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * debian/control: Bump standards to 4.1.4.
  * debian/libmpg123-0.symbols:
    - Use more intelligent way of enabling 32-bit off_t symbols.
      Fixes FTBFS on riscv64. (Closes: #896126)

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- James Cowgill <jcowgill@debian.org>  Fri, 20 Apr 2018 10:44:09 +0100
