=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
+ dpkg-dev (>= 1.18),
  libasound2-dev [linux-any],
  libaudio-dev,
  libjack-dev,
@@ -15,7 +16,7 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
