=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
@@ -16,10 +17,11 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
+Rules-Requires-Root: no
 
 Package: mpg123
 Architecture: any
