=== debian/changelog ===
mpg123 (1.26.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Jul 2020 11:09:35 +0200

mpg123 (1.26.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix MA: same issues in libsyn123-dev (Closes: #963205)
  * debian/libsyn123.symbols: Add missing symbols for 32 bit architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Jul 2020 11:29:40 +0200

mpg123 (1.26.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Jun 2020 23:19:16 +0200

mpg123 (1.26.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/:
    - Add new symboly
    - Add new libsyn123-0 package
    - Bump debhelper compat to 13
  * debian/rules: Remove -Wl,--as-needed
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 May 2020 20:08:07 +0200
