=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.18),
  libasound2-dev [linux-any],
  libaudio-dev,
@@ -17,7 +16,7 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
@@ -78,6 +77,19 @@
  .
  This package contains the shared out123 library.
 
+Package: libsyn123-0
+Multi-Arch: same
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: MPEG layer 1/2/3 audio decoder (libsyn123 shared library)
+ mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
+ 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
+ .
+ This package contains the shared syn123 library.
+
 Package: libmpg123-dev
 Multi-Arch: same
 Architecture: any
@@ -85,6 +97,7 @@
 Depends:
  libmpg123-0 (= ${binary:Version}),
  libout123-0 (= ${binary:Version}),
+ libsyn123-0 (= ${binary:Version}),
  ${misc:Depends}
 Description: MPEG layer 1/2/3 audio decoder (development files)
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
